View Issue Details

IDProjectCategoryPrivateLast Update
0004129Battlefield 1 CTEArt/AnimationNo2017-08-16 10:02
ReporterSpitfire 
SeverityMinorReproducibilityAlways 
Status FixedResolutionFixed 
PlatformPCOSWindows 
Summary0004129: Nagant revolver disappears in 1p during non-empty reload
Description

As title says. If you fire a Nagant revolver and reload between 1 and 6 bullets, the whole animation will be invisible - you will not see the gun in first person. If shadow is any indication, in 3p view it looks as if you were aiming the Nagant.

Animation briefly becomes visible in 1p if you smack the doors open while sprinting.

https://www.youtube.com/watch?v=obQ_ogOZeso

Steps To Reproduce

1) Spawn as Scout with Nagant revolver
2) Fire 1 to 6 bullets
3) Start reloading - animation will be invisible in first person.

Actual Result
Expected Result

Relationships

has duplicate 0004287 Closed Reloads of guns needed reworked 
has duplicate 0004280 Closed Nagant Revolver reload gun disappears 
has duplicate 0004300 Closed The reloading of the Russian guns 
has duplicate 0004325 Closed Nagant revolver missing reload animation 

Activities

Spitfire

2017-08-08 14:31


  ~0004715

Appears fixed in second Lupkow Pass release.

Spitfire

2017-08-09 18:24


  ~0004724

Last edited: 2017-08-09 18:24

View 2 revisions

Issue has returned on Brusilov in Specializations update.

EA_RedSpoder

2017-08-16 10:02


  ~0004815

Should be fixed in the current CTE build from 12th August.